GNU bug report logs - #55362
29.0.50; Super key no longer works on Wayland

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thomas Jost <schnouki@HIDDEN>; Keywords: moreinfo; merged with #49211, #51002, #53200, #55660, #56653; dated Wed, 11 May 2022 10:01:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 49211 51002 53200 55362 55660 56653. Request was from Po Lu <luangruo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 49211 53200 55362 55660 56653. Request was from Po Lu <luangruo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 49211 53200 55362 55660. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 49211 53200 55362. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 16:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 12:23:04 2022
Received: from localhost ([127.0.0.1]:38256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nop7A-0008OV-4b
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 12:23:04 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:35435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1nop79-0008Nm-39
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 12:23:03 -0400
Received: by mail-wr1-f54.google.com with SMTP id h16so3044430wrb.2
 for <55362 <at> debbugs.gnu.org>; Wed, 11 May 2022 09:23:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:message-id:date:mime-version:user-agent:subject
 :content-language:to:cc:references:from:in-reply-to
 :content-transfer-encoding;
 bh=RfgSFwuRrmJPwOnPO+NrVrdhCycUI3vEopGVx8EtUBE=;
 b=QZQgFX5e/1ZelRv6sbLLUQ/V1zw0vd6PzfxV17U/d5EaB5kJXiq6pFu0hbF12fcuTG
 Cs/P055E0WF/aV0Un7VSYZXFz7AmkJTz8ba+d+JsOdZ0RT7QJPlGmPRZq0hb+oF+5ZVj
 kNkAhVdIMkPkcZyHyDnu4NV6FHWSA0Vm7cnCCflBlPoVBfFkO1fCTU5JE4cDpNlpYEnb
 T5i8ATYXoMrkg7yFQLyqBfmJROqGqT+iNHtkyI5sz5l2K5HJz4ychzfCIUuUzSA/wzkI
 Ufq4JKggiGinoX6o+satyclXYNHwWdlcjp1zOCSLwICdGIx3sXTX1iUREKOkm8/A1lZd
 nNfA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:message-id:date:mime-version:user-agent
 :subject:content-language:to:cc:references:from:in-reply-to
 :content-transfer-encoding;
 bh=RfgSFwuRrmJPwOnPO+NrVrdhCycUI3vEopGVx8EtUBE=;
 b=F5FrS1kYN/dxqSLoj3Ch02ZdR2UbELIPHOSMxacahXx+dp9SI1Z2PBvceKLWaXsLK9
 yHfnxdsHVvaWt/nrYrVaWUOwwpwAHTEpz4XpyUMPuKSfzxHdEo+eQtA85z+yIvECnfhT
 JEhqV09vYi8/ZaqbhrohrMbU5rMKD67VlG9Q26xlgXxy8HRECXaIsbRmOvUMPpG4LsfU
 2qF0hdXGfWvldJJtoyOlz1z3/463ve3Dg57wauId9wgtYof3WZARj/fy7DpvsgkXCzgd
 vIafXEs/46o23BIBcYTeZqrgQp841MFvEsMRdtp3XoIPzPranBzdyhoM7zy5ffevZLJU
 e6kA==
X-Gm-Message-State: AOAM533aCs/qw5j3btvAff+fNuY9p/MnSFRZfnUCj6TgB5jhVKbY/XcR
 WiD0YvZ/7vvCCWGnDlNk3Vw=
X-Google-Smtp-Source: ABdhPJxllY59SHgDDFOoHER7FO0daH7evjA8Nk+VRgLrZkCRhK11R+g+kzJMp50gkoLNbgPDdnEvuA==
X-Received: by 2002:adf:f2cc:0:b0:20a:cfbb:ac29 with SMTP id
 d12-20020adff2cc000000b0020acfbbac29mr23370942wrp.263.1652286177217; 
 Wed, 11 May 2022 09:22:57 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 z1-20020a05600c220100b003942a244f53sm157592wml.44.2022.05.11.09.22.55
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 11 May 2022 09:22:56 -0700 (PDT)
Message-ID: <a09a605b-a1bf-60b8-d51a-bbcde9d2c0c6@HIDDEN>
Date: Wed, 11 May 2022 19:22:54 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.7.0
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
Content-Language: en-US
To: Po Lu <luangruo@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN> <83sfpgqk4t.fsf@HIDDEN> <87pmkkyxfg.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87pmkkyxfg.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 55362
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, schnouki@HIDDEN,
 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 11.05.2022 17:08, Po Lu via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> Eli Zaretskii<eliz@HIDDEN>  writes:
> 
>> I agree.  At the very least, how about a knob, by default off, to
>> restore the previous behavior; we could then have that in PROBLEMS.
> If we do that, then in my experience this bug will never be fixed in
> GTK, and we will be stuck maintaining this awful hack until the end of
> time.

Does Emacs's behavior/bugs/etc ever affect GTK devs' choices? Doesn't 
seem to be the case so far.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 14:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:26:38 2022
Received: from localhost ([127.0.0.1]:38053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nonIU-0004S7-LZ
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:26:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nonIS-0004Ro-Nl
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 10:26:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41906)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nonIN-0006aw-Ga; Wed, 11 May 2022 10:26:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=5VGENYF2VV2pemMc28bKxj7GDSFpEpYXdrXT9ELfOg0=; b=bOCqn4/xh2nG
 55OXce5U5+1mlB+pq+00H36nOaBB8S0Bj9ZyuNS33VWqnhjjz9YynYZ/J5R5kv3il3aEfPHePhXHM
 7KtyPn8SnwqGUiOOs4tfvDHYN896otb4OnxpZXH13Nq8gAypGId3zgakAz07U4PU7+YlgE2CtiZkK
 3oca1sWY2kH6ZWdAv3OArgrSaiteERtH3t7WKjTfnlDpmkIZefTLQj2ZsGOtw6xC3T3ha70mvkqDM
 V/2vFc/lQAHMA3U1R9SYxtUPhJZBv55eAVv7312fLJ9uI/6IYoIFUis4yOIzq/bHbrlqyzwomyEx8
 le4WRPJ4c6bFHoWWHE/CFg==;
Received: from [87.69.77.57] (port=4953 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nonIN-00020z-0J; Wed, 11 May 2022 10:26:31 -0400
Date: Wed, 11 May 2022 17:26:32 +0300
Message-Id: <83mtfoqh5z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <8735hg88ca.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 11 May 2022 16:14:29 +0200)
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN> <83sfpgqk4t.fsf@HIDDEN>
 <87pmkkyxfg.fsf@HIDDEN> <8735hg88ca.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55362
Cc: luangruo@HIDDEN, schnouki@HIDDEN, 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  schnouki@HIDDEN,
>   55362 <at> debbugs.gnu.org
> Date: Wed, 11 May 2022 16:14:29 +0200
> 
> Po Lu <luangruo@HIDDEN> writes:
> 
> > It's okay to add such a knob assuming the GTK bug still isn't fixed
> > approaching the release of Emacs 29, but not now, when that release is
> > still several years away.
> 
> The release of Emacs 29 isn't several years away, I think.  :-)

Not just that: when we get closer to a release, we generally don't
want significant changes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 14:25:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:25:32 2022
Received: from localhost ([127.0.0.1]:38045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nonHQ-0004Pm-9h
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:25:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nonHO-0004PY-DZ
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 10:25:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41882)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nonHI-0006Oh-Mn; Wed, 11 May 2022 10:25:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=4C8HUX2jNBkoQEwtD86WZHXuXS9h5nheFvtTlkxn2FE=; b=aTNZyJpPDMuf
 ZPIuXETSq6IlkV4WO0qc9cukbSe/43bKG/IoRuQfFu1f2HKiW69Ta78oSoVWWars15m2QC6s6IbDl
 q2IqiHbruj+mVJhaIUdY9JhJz6RwtR6lpAV33hLNisO4n+4lQAEtdOeQQW4zL5Zyl07aDlH/i+2hC
 StyDTN0NpMF7fqXODb5D6IBQD3fKidK74eO+FgS16HHvDuT7gQpces0s5bq8PoazFUlNSDmnGQPLS
 dvZnQrOyQTznsdfYSKRPWayakE/qAFnv9YDbf6YgpGFGfi8JItSptBNYvScPTonaa7bV5IpzvnTNO
 Ik8fLcdtm7RCASmoeVg1+w==;
Received: from [87.69.77.57] (port=4869 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nonH2-0001Zo-L9; Wed, 11 May 2022 10:25:22 -0400
Date: Wed, 11 May 2022 17:25:09 +0300
Message-Id: <83o804qh8a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87pmkkyxfg.fsf@HIDDEN> (message from Po Lu on Wed, 11 May
 2022 22:08:03 +0800)
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN> <83sfpgqk4t.fsf@HIDDEN> <87pmkkyxfg.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55362
Cc: larsi@HIDDEN, schnouki@HIDDEN, 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  schnouki@HIDDEN,
>   55362 <at> debbugs.gnu.org
> Date: Wed, 11 May 2022 22:08:03 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I agree.  At the very least, how about a knob, by default off, to
> > restore the previous behavior; we could then have that in PROBLEMS.
> 
> If we do that, then in my experience this bug will never be fixed in
> GTK, and we will be stuck maintaining this awful hack until the end of
> time.

IMO, we should think about our users first.  Besides, there's no
guarantee whatsoever that the bug will be fix if we don't work around
it.

> It's okay to add such a knob assuming the GTK bug still isn't fixed
> approaching the release of Emacs 29, but not now, when that release is
> still several years away.

I think this is a mistake.  We cause a disadvantage to our users now
because we believe the GTK developers will fix this later.  There's no
reason for that hope based on our past experience.  And if you believe
GTK developers pay such attention to what we do or don't do, why not
assume that they will read this discussion and say "okay, those Emacs
guys can solve this themselves if they want to"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 14:14:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:14:40 2022
Received: from localhost ([127.0.0.1]:38011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1non6u-0001vl-Jk
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:14:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1non6t-0001vS-60
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 10:14:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CVDnI6M9Md1PrSGA9RA4wxfW0CbiVGedFTq+kHvfFH4=; b=angkGkgszKWgMec9I48+0BbRbN
 mwmZjvpzBa+THviqM2Q87CrJu1H1Q6aK1OMVPF7gkbWVoQnnfFyx/QUvY6mJ8Y+kn+u5QApnRF4m9
 mz8BaDqsZOjxC4T3E4xatuVUjPdicGD1q1Swj38DAmPapwdGCNWr4IX1o+NeK+mIZxgk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1non6k-0000aG-4C; Wed, 11 May 2022 16:14:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN> <83sfpgqk4t.fsf@HIDDEN>
 <87pmkkyxfg.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVGTVIlKCyQiW/L
 wKv///8ixzLPAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YFCw4NCzvK0IEAAAGJSURBVDjLdZMNcsQg
 CIWBvQBuL0DwAqnc/259aDRm2zqTmQyfPH4l2k4pSlzGoSdY9hto/hYqnfDuwQpKysRE/CGVPjPK
 skj19BmhNiARLe+m2ANEhHuDHaYJRMJe0bxGWF7XBeppXmGOOFcZZcjQKWlHmA/Q6N2BJ7ilYDle
 F6CnR7QL2CxjgqgugexsNOoCmVBzRyEdbN1NYoD1/Gx7zPMBrE7AmSxNoKe4IQTEjOGSX8mhiCF/
 emUGpnpLFREA/gJozrTFEOQJR/gc9byDF+3VAkglWW3su+SGvXm32lSCR8KYmELJyQpmxSj1KBMg
 Uxcx8KNgI2ZTSI2QE0BPHM42Ng4bqAt01cwLo0cMFwAuA1T3q+2KGkYZBC+fWj1GMvzJqSQbgIRI
 loOqM5j4BTQBdN/1u3AfwtUSzaAJusa21MmsZ2d6zWH1SvMhrS1fAA3kvHt1aQOShCe42z4CLYtu
 QIf/MOktNddSf3k8zr+g/AlUeQfrUazyBsj9mbvBewyhNbbs3AA/OsBLxOe6uZoAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjItMDUtMTFUMTQ6MTM6MTErMDA6MDAoWpwTAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIyLTA1LTExVDE0OjEzOjExKzAwOjAwWQckrwAAAABJRU5ErkJggg==
X-Now-Playing: Joni Mitchell's _Both Sides Now_: "Sometimes I'm Happy"
Date: Wed, 11 May 2022 16:14:29 +0200
In-Reply-To: <87pmkkyxfg.fsf@HIDDEN> (Po Lu's message of "Wed, 11 May 2022
 22:08:03 +0800")
Message-ID: <8735hg88ca.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Po Lu <luangruo@HIDDEN> writes: > It's okay to add such
 a knob assuming the GTK bug still isn't fixed > approaching the release of
 Emacs 29, but not now, when that release is > still several years away. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55362
Cc: Eli Zaretskii <eliz@HIDDEN>, schnouki@HIDDEN, 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

> It's okay to add such a knob assuming the GTK bug still isn't fixed
> approaching the release of Emacs 29, but not now, when that release is
> still several years away.

The release of Emacs 29 isn't several years away, I think.  :-)

But people are using Emacs 29 now, and are running into this problem, so
I think it should be fixed (one way or another) now.  (We've had many
bug reports about it already.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 14:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:09:56 2022
Received: from localhost ([127.0.0.1]:37983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1non2K-0001lO-41
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:09:56 -0400
Received: from sonic308-56.consmr.mail.ne1.yahoo.com ([66.163.187.31]:43197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1non2I-0001l7-TN
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 10:09:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652278189; bh=9nd8+9ldCcFTmDL1OgHHSsKYmiER2P0xp1p8lXmN5Uw=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Gb2PrtFBSvIUaibtiv2x4kxj1fRHLxLCCOlpXQBbjdna9xTmLhpiOEXpneB3cMTtFTje2CdCCOfBsAf4yPHSMoLEk9tUx/ivrAH8CebFIk/WatJu06PRcb1o3mxdTnUpZEvohhjJqMrPe7Ji18LZ1lK48h0vurIjllAvDOM35WSmpcGWOPU5BVMfOm9VedtiHNOy6Ohf/2JXtUACjeP1tymlsU1o6tw1pm+IU/lCtGlXvHXBsEVVh5FRm079E9i8jcJaQUwH3nNzku3TmS2sxh5L6cDFoNLow98pkwG/gYg11T4ZacblnrBXgCUIhGhCTkdllCtJrBMM6ZhcUOLy/Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652278189; bh=NY8q7QG2VIzgIiq09/RzphBRR61eZ5K7j9NwpZKD/y2=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=O4KuOEzUIUq7Mj+tbweMaMERhHFk6ixfuiyxR7+qtQLAywcAFfkDGf0XVx0XOJ8tDw3GF6yspBdN8V/3vaNUc4/H0VWWkGpXvhqi0OFd3V+JppM1rX25CXp+4qoq1nB7szbkvOqXEE4yVmcbbvPhrk+caj+LrwFqTlHgzUuSDIXWxVvoOty+Y1ygGh/y/jBkIjBmfjRe8DfFoyagjQqYl+i0q0b9WChNe3lWJgo16NQRlJWzKbwswxqSeHpsypTDLj378vyiSLC3bUu0t16HnHT58mnuUslRu6wsikPbUdnVYV9xmiLoac4EJ+pB5d+72giszsiFD6+MonUQXwcoAQ==
X-YMail-OSG: jFsCSEgVM1mHF8.4i0vAALKxMjfJ7Kb8AvBCSz03jq_RGzsXa4OuRr.wwWoa9b4
 C4_HtPIjNuafiaAj1Njvnxc90J5idTUaO4dI3ltP5ldwIX4pFaODOyUOfalUgIG8_npxU5tFO8S9
 rrRMj5156S2O_qo0vQLssd7EnrG5uSGUAYpKHQ04fKY4Nmfrx6tzwZvsM8zeYZDuyGKOuYO4yyaO
 qMws3XRwtZokSmYkQCuA7Wc87ncZu5khmyjUEtOouyZ0_PELSf1NIVVa_YlZy8UKaF3b5R_inDP2
 5Wo6dFqLHek7yB82DHAqiWF0RmtKtb7THnJ_Q9T.bGtVb_IiEJ68v10Cgs6G1TIKeaMpZ_AdzrIZ
 Go2J__tmvyjnLklUoz3GLPgBkUOoLlVF4ZjpFK_hV2fXeDp7xcE4tRQJ4OU_MhsRmvIptcdKKzBT
 ejTxzR5DGK5abDmzPBWa.q.aqHHUNgiMMsDuPL0_lb_KdBmBysfBqYPs4cKrBfowh0Tws0I4HQ1x
 8NNwG94ptW018LbuGuoBAB8pMca6Dkke4qTEg8RbIAtTG4y9ll_kCKA1mX66.wVhfLjpMLiUIVwF
 p4xg5JSvKPFirmO0sDcLS53p2GeAf5KU3pIL1UcdeBTFT.tcqGl3_Pyb7xlfUG5yVkYUu6Ag6Ibx
 51WRKl9uZQdHjmtwqy63oVapRR7.y91eoKQRNlq7OivDrU.1jewjGaJWWSxVkAThqnXFaRHuIJlP
 t_NC2KDxW.B9XywdVRHFDFw5XSE8aBtvzqosFJ53X_c7xcRnIB9NDTakZfv2H.Ay5GdAZJ_0HjYb
 p3W0QlA69zvdMyvdzru0h25M.hfoI_.r75DPkc21W.26UsiXO6ylttw2snODWRjpTOrzAiaGYNii
 ETT5ChEoFmI0sKr_mLxC2K.fbKntepQkwZDAUW0y990BOrc57dYJuscR60rOPwVvDA8chsEGzv81
 DbP6Bey8AFPKKvv9O65i7l6Rls._3EQ._8eoMUxpPYbx8al5EVJnPFw5lXRKiNXfkrGfdx_ReNXt
 hSqassZhS_y4j.92fVc9Oaj97H62COvXll68RwD96ruxN_OWP22JFp_7bBFy7DqLkWMRfd8UaAy8
 kSTYgbEdSTpd7fakRrSaWaBCkIwG.l_DhoaCqdfmUgzCO6eAqQXTOcnJQYK2a.SdR7op5AATUIsw
 fU3wdIl8K1piFc08iO4imRGfjeaHceqtEaSpwVeMbPSiTV9I8C4gMwexuXLfOdYcVQ14D81FZaeJ
 R0wv5.XWvGLro_BgOygsPhsyv_xUDLaluEW7D1cBes38ai1NUOaI_zoEjSZHWyuFt0GDzGZ93UQL
 yqaW4B5MhuJREWABghyjfmbAwuVWK2QlfoZROo79DEUHhNdn12LzvX.N79Hi7FRpkYboUNKBi5i.
 cBm7SOzhAYuYLRgdglrdFGWxkZxnz2QP6.kFlAJfSqkbeyRH70Jvg2x37QtW1lF2W3_ApcRppRqE
 lBjuIkMyKNUPQv.4h1pWHxm2rDdwHuaf_h6KGozo4nlclzY228gvm5TBgxp.Ooslf8tMtKBktOib
 R9EOCjolWnJhFL7Mv2g6MZFHeljZKqO_zNPZJ6kymgY8R3DOnENzt.lZtyfks21uO5WcIyztiPG6
 BL6xn3W5diAluLOyVEyq__wwWEOfKm7i2S4gsvRNOVeb4J49_bNx86LfLRLI9eMex8RN5mNEfyy6
 9jlRUG0Qmt3qvMhRvupS978ECuJjc4PBGi.qEdmTgAGwrqycgZgEGqWJBce4LhOPLYfMjLnIJYYU
 lfe6xmm4UcDgf5myWG_TOFZ3TwBsdISxoB2XQ4GxSC1LhmEc665boofMAQ5tL_0avH3dvxm4fLML
 OowJTtVKo78.FVbTV61kLhdDYtNeTjUoQLmygl6idBqFcPL3yqks.kRa.RHkZ7cVWN0wSyb60Jlk
 JacqfJEO.VFNjFwSzeYeA44KDdmbpEUEH9U.b9FMb8k0u1qXs2o.FsL8Rm3sr7e.z3rAYKZvGJPF
 lADLaLMaY_fuBm39uP0M8C2dIgWjSMkXfVfjzV_JNaPlmTHdakBBopRiSdM34pBlXqM7q7xPhDJ1
 WpmjmfnoIfudTKONhqJ3sJ.hZDcu2ecb97pcLBFECyG7WhQf8xtHqEiFqs2d7ouY0l0WPYcGTM7E
 PwmeVC4N2GlXbKv5QKj5ISM4tDlWCxPD4_NVV1fJ92C5SWbNVdjE2wSYjkqlynPYSr2Iy38a8zsG
 u90vJ3kvESpb_jxo8umr3oRFvogrqCEgEFFNt5HbV8kMmHIu2GPklfXrEvV3Tvw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Wed, 11 May 2022 14:09:49 +0000
Received: by hermes--canary-production-sg3-856bf69955-nc7dv (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID bb2eb6cf251974f9330452ca216b19bd; 
 Wed, 11 May 2022 14:09:43 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Thomas Jost <schnouki@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <878rr86uu7.fsf@HIDDEN>
Date: Wed, 11 May 2022 22:09:38 +0800
In-Reply-To: <878rr86uu7.fsf@HIDDEN> (Thomas Jost's message of "Wed, 11
 May 2022 15:51:28 +0200")
Message-ID: <87h75wyxct.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20188
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 196
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55362
Cc: 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thomas Jost <schnouki@HIDDEN> writes:

> Reported it to GTK developers here:
> https://gitlab.gnome.org/GNOME/gtk/-/issues/4913 (which links back to
> this bug). Thanks!

Fantastic, thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 14:09:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:09:34 2022
Received: from localhost ([127.0.0.1]:37979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1non1x-0001ke-RB
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:09:34 -0400
Received: from sonic316-20.consmr.mail.ne1.yahoo.com ([66.163.187.146]:35161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1non1w-0001kP-5q
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 10:09:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652278166; bh=4ShTkvXr82/xBBtuXszU6U48b66g/rTZSHiRm1oTpb0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=hE5M0rwCf+c6DAgFgBD1ZsCS26hTOR70nLqitybgcmggdNkXHHWBwhXMtPYzhM/g6sELMsEhvgTKBi3JJWWuIbeArgH30NFZ6xP87cFqJOZ20GXQuOWeUsiqmTyPKJQUiPE91b5/nrwp+QnrOCEi6q6I3fuEfWvDyXrsm4SlUtrysuQFmPBvVJ3vsqlk9zrw/QJ5hF9sADzFWSPVmNb1VCoKtVnb+fCnMXRnca/YF+UQc6cNaQrii4uGhgvezd3N4f8VVsM/+jPCF+evzoo0cFfIz1EOEbhAgEt7CHMJWbH+2KDl6v1NF0NaOy0l+byUnhFSJM1SKMom2Q8TbxPemg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652278166; bh=Ln/4QiktbrQAS+m3tGYMmZyz7ifeEfPpp3tVSdRthBt=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=NsYpZ9+kVr/eyj42yrccpCP3IeWURI9AMInB824bIhPprwuVEwtQmVkcAVvRV2LenYwi7V0fTeL8pC9hPWNyBh4wscYRHDmQ2sKENfeY+hsmL60BDlmVKT9pyLmTJN4QpwZilcuetPMEMqY8g9MRDj6XtrW0zN3CbJoEvNIaXcVwqv/xDlBcCwFyBuqKAsxssfhNhVgjAMxO8Kw0vi/OJ7/dqyGgvl/zD0x+lHIBufRkc0F/b04njpzo9qyUEktCY6br/QnFdj5uGLZCdKUZt7bETDgkOMZ37XyrRmg011dudkcMxhZ2BRUg/stXPeW4GCD63/pswUMBCgdrBM/EuQ==
X-YMail-OSG: 04Yu2.0VM1mQZSrHJVfe5z.a1omEvUj87J6WnA1Iur_n2_hy_Sx5Z6yXNMWYrJC
 46DRtT8j_m.ALdPLuLmP7OCXfftUenV0MRgkcII_oqlhyDX12jtg8fPRBkauIcfwsxdTIUiRtpPU
 mYR_9ycRFTYd2QvVmxq2gNoc.he8x56ryDSjHGWjDwEsb3Ip2AW5olzaXwt0gC9Bj2vem6egOIFA
 RCTpr_q8IlykDo37GWk4zkGT8J_V2GLbfVVcK41YPflGx430n1X.AKWFYXaBxWPxuRy8Y9FG.s8T
 azaRAm3oWNkTLszUW1hotB5UcQBnd_4e9j.tThNleFNfhSUI4JzpPCwNSpnSrWgB3maYqcBb1wap
 5zcGljowwFQPvohcjQ_ATgVjE0saUaTotE2D9VzIVfOQaQX12cCbMAs35q5yMZBwnJyO4s1Ii9Hy
 fW7wCmO1DMGnphmaC3Hqx2YCCs1NG2v54h5fWNrqWptoN0jgAFCN2p9UYD5CLpawDylU60W1iiAx
 o8JfPwc_lLCic5.xFRMY55ZEbh3eV_Y8SbHh.0uK3lTQmoKU0I1kB791KhkJlkRxS9ocCCA5rCSt
 PaQ66aBD.U9v2RnZhuhE30mArmNdCtosl.FitycmnDiCUDF3b0mp90UGLbNaxuJLZPUD890K3rqB
 4ULckNHWJ2k1SHNjYSlBufgKGkS2EcDuPvEw2rGHdr.WZkvLQGx_sDuKwBo75r7Hyx2ECxhqJKiB
 Lzw8WeFkJ6rzHB.C1DI1qCcwugAVwFhJgDDXTPT2LUU17abEd8emJ8I2dW4MIAqbMzksayke4BzD
 i0IX7vg4H3Ya1aRfH70J1QyZMEoBFpULQ9owJPw0fxBKdIyPFKtaLGHGjh63xpB.33onbwYtoEaG
 uY8Dvn2RnLcsYbiC1b6MP75iLp2_HdTMAmb1Z.HJv5oqLS6b68n0qo.ygvhSLedjLE6ykHRLubTw
 Tf70o_f7sao4e9OS3FkeQ_tKttIrXAqaidmwSawsE8PlY4WwrOPdzbqmR.jMVnEtUbwTqxYQixsZ
 B5B6w2kkmMN32FvCKivJcbzCizuDQInsPLiOsYM0GEvCQPn_jF76UkdV41tFTuQb9w2SmYM.LCUF
 6XVNQMoa_kXOpAjnB.8Yqp_szY4yKEW0gf6Iz3.ohjTjuKG0CFKdKzLfLixzrJ9I6.cntZ6VXsol
 Q06NAeKbi0bVs9jr0G2ZdHKHJ667BVoc_KUO01fvBYKP1qVqrkkpnp3ecOuaI2_C6bWSvABhFck8
 KISlPmXH.iEJstUjaqdn_HAClKcrq1i4362fezY4Eb5rIMXueWdFGFOhs9N3lEzEe_EReAe8SODX
 ZEReCotKG.DJYx2HxLxiXvo_vNcEIzJa3cmk7txNQpficW6Q_6K0PO8KdIkSQ4oRLrKAu1znG18b
 G.h5ESvmCN9viFe8GzGJwqHLOCy_Vi7PdV5WoNYbUzRDJhFyCl.QFI_HWV2LpLQ3AueZvcYGTG7L
 O.a3kyFEfOYdCvUpzOIyx0HFeQwIMxljAEuMK7GArRLSdQvnAu5uf_KPyt_UmFqJ7P0tl2Ch50FX
 l4AKA.tgDHw1Mi_GdSz8d6dS6.QQ5I4e0QSfgHHV1KousFFUfh8Z5EWRedw4edUzv2oKW.PL98Jj
 n8bvZ5k3fx9qx2m4JhnUzJAOPZweAVz9NbqQUHcwQt0JrozNZusMcuNRL3ODz2B2xfrY9vG99H.i
 _P81RMGIR3dc2wLEZ_jyxHZt6UaR8abPjrWJRkU_aOYYqCM21oqvF0RFocL9tkKSg9KXNJSiutaU
 rBYaHgtlLv3NtwZEAGfKD7lLrTryovDG4haEn6QhqDVYepVWHysk5h6.VHAckB7BkDAhmXuRYwEB
 6jj0SALB7.xO0ex5XZrY4UMsLM0og3fgSbGRv5oPeCA6Kmf90AG1ZXeQAL1B9RygVGfatP2j81z5
 EMzQcBSD9f0um4xOj_bg5T0qivgHbyQSth4CIzXYg5M_YXUJq9aWdOZCsUwHhDgor0np7nx0MJmW
 zeMttfvURPO3QJYzb3pqndu.nmX46J6tQNv30GupcARROw4bkHnn74ip48at2Wsom16YiZCiNWco
 .tXhrBjU8TJmIYz.Aj9Zb9LMFOW4tmiH6w7CqNF5N71LLY4D0h6y05XvHHOhGijPQVXOJW69TCXA
 C0V3QYYZcSeB4BGBAEp5e14STv1nR4DVnpY.bl3yI5LIlnMiyyiwBxNdPx5sYV2eQV.cc3DBPyQO
 MGgY5nWrzVOSdgjN3.F4bTK4FJsrNb7P9p9YKwuSjfbs9jIRfGESe.LtHO7Tvbb8-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Wed, 11 May 2022 14:09:26 +0000
Received: by hermes--canary-production-sg3-856bf69955-wcgkh (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 2f3d552f955f701be298e942481b663b; 
 Wed, 11 May 2022 14:09:20 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Thomas Jost <schnouki@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN> <83sfpgqk4t.fsf@HIDDEN>
 <875ymc6uos.fsf@HIDDEN>
Date: Wed, 11 May 2022 22:09:09 +0800
In-Reply-To: <875ymc6uos.fsf@HIDDEN> (Thomas Jost's message of "Wed, 11
 May 2022 15:54:43 +0200")
Message-ID: <87lev8yxdm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20188
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 325
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55362
Cc: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thomas Jost <schnouki@HIDDEN> writes:

> Not having such a knob would also prevent any user who is for some
> reason stuck on an older version of Gtk to upgrade Emacs.

Emacs 28 does not support PGTK, and we will not turn it on by default
for future releases either, so there is no regression from the POV of
the user.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 14:08:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:08:21 2022
Received: from localhost ([127.0.0.1]:37969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1non0n-0001iJ-6Q
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:08:21 -0400
Received: from sonic309-20.consmr.mail.ne1.yahoo.com ([66.163.184.146]:33627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1non0l-0001i5-Bk
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 10:08:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652278093; bh=ibROFfwMYnjH5qabGnF8afKLhk/ZB26+hGf8Tc7DQcg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=nbQDauQgzJUwpr2+U3knTjGQVD8By2arO2LzoTYO6qHm61hQH1TxIgPI5Sw3pHVeYrOzL7ulg8Lq1Vz5Sy6e1e5EyVOSOU03fBAj9coHl+g81g6vEAI9Q8DMgsQJ4EjTOrXcsToG+BV3DOrwd0BGCa+S+WePKPE1Jh9CIVXX4HtbdvvPnSEk3hHRBm7mhiEPZDMB4f8I1WIRcd7+DmI7Zqo5uxDAJYt+l8uroufjIstRuEV/McgCskWlOuG7bwIEnTxYYhD9jd2llDPMEJyuzL1dmc/7T0PEPsWiXjwqIpVmE1rmEUDoXcgbjbaFE3Rm0cEt6QTxYTHm/GtPQQvT+g==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652278093; bh=ynwm/V0M92u+OitUS6s9Cni4Qafl+dwReOCPUGikH8I=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=lOdvF58lLBNmnpxDOVSk87GvadGq5vOdNvpnrHxLpcH9ZkcyxPEYBBoNumWvwcFX+OfOl81WTo2upp7X7kKlCuORabIr0A4NmXNQdPECUWCJ4euxoGEwSxsnnSHJNBU5wDM4dK2ylw43YDwDCPadf9Ol2Hk+/+gHFFB8qpkOunHaORvrllIg7QNO9HgbddDzNfrsAZUtZlv0dW2rNhTZFqGV3w6olKNWle66QeCVe+ORisJUE3sM/6/L+5WQDZGrOYkgW7t/oDMwcaQxcMkZQbm3KdBUZHbKicLigRuvNnrpLPKkJOBO94Xj/WeKu77TkskkMSv4ESXrEQEhi/g58A==
X-YMail-OSG: 6vUBY5gVM1m3z_RI6vGeXm58qE83qAkRzeXbCGSY6MiMnPPPtTirWDfTw0OONS1
 JGW9Utmu_k9aY51Tki53.pUYrErrBVgGqydpR4osapgrmvug0BMEijQkTOcjNKJmlgZFKo8ZCu7c
 d73u2cnEwZyuksAxFrMBgdCX8H6ZJ8IApY8ojAJNammHnCHKM2DSFRmXuUzxewsGPDc8_tkNV9LG
 FUjIu1kFRzDsFftmgT5ySuWcj8uaalPXsWeAJSUCzJ4DB8b8jMCg.1uEtuK5jiB.ubJ0q7zSXb7_
 s1N2FX_KEdOvNLsB8i4NAhGB9TCsscM0qst9o78pz3.DFBvWGcpWQohM8RAa8gGGeiCfz.IVsb8M
 vquzRjiJR_7mdFT5bOz7eW.HS36sV1B3NWRU2NwOOlKtyoB8tytn6zrmOvEHd3CtKRwH9QZBWiwC
 lKsHcp54OWiI9D5a4cbdzSNg5R9bg4UDd0r2uDQIal6nI9LGt2DeTVMDMk1kgdz1bkRZgPYZsmqx
 O70AIQlai55KCMJqjjMgMjZmfB213jE9yE4B28vK9BSlpYBnCRIL2LIP1ajs5zgOFW31TnYNOgPW
 TUzUfKtfKJ7FYVO.l.PBrenkuXhv_ckhjpApB.UsXLeGXIFPG6AbrOMT7yFekkU.KaLC9KK4WpC5
 4mhqYfVhrCARjZgfkz1om_x0DN3soGzlzxxI38RpIpSSbKM6j7XYpiFi0FKOJbur3n.FDTWi6pDE
 5Pcrxa_exDl5CNL9Lx7i8rNSDnXJeOuy27s93w0E1IXJYh7z1ijOEWAENj3W3Fuzojsz4YGAU3Oh
 whkRDA0xmgQahvSkx9qLFVoiTIxcWaQ4NAdWASUu5CWJMXZjIjAQtGzg.i7QprdUghk.GWa1y0G7
 lDTIOO2D0XzsqoEejv7xE5zmUTZiZwB5fvoh9r6xuNRyIIGoeexSowXXG7xTH3gKKPjqfhTCgzq0
 jh40wxnRvcPapQwK68akjVVIER_nqVKTi2rlsxb72X5lVI1XxhMitxh7CVWKUdAloQ4.nP3xHeYt
 nsIDKBYtXTeT53O4Nb2lBvi_U48pSzKz.ihLT8hwjWy3o4QTt0AZ2.ifg4k7UZZD6qJ91Wyl6lsO
 a.yn_cJPffc3Df5r_6G5zga4LWvK28npNsqB9U_6KhMrQbGKthJiW2UlgT4py1QRL.7gtG82Sevt
 NqVCeKuyAnjNfqhRe7x4a5w1M01pWcrdBGdC0C9cgwNiwJ.xSzOV7eS_FUgbXsKzmOfCe7N0EqWx
 vkmr7a_ZhhbPR0W7Di4.silvOrjut9alvB4eCK2mfXn4hDhfZ2g4jGBM4OVr7NqeUvLLPg0X2vmp
 t30Z4CmsenK28yLlIuNb1luqCIoYyPyehqjqQLSAi9cUCA.ReHl3XlwNuFETg3tsZMMPEqsgOS_X
 cPTa01CzPrOEHJrx.2bqSPPy9Dub5Wf6br9IbKxRTC0uZoF4RZOARwLTctEvWvmQWVBO62bTckvq
 .LAwzAiyqNj4gUh1fMjN53.R33cji4AlLPjhGY93A1EcnTnkOlFFmigq9hErkctalHu7W.GSCTZg
 NAm9BHxPj.Tta_EhzxL8.sf_sWjJXcZS3F9zAzYjwzRqqeSPfIz325bRvhHOHaKl6mG_cnZFqxca
 db32zHIAIf1mH991IncTnoFWr_ELzE6LQFglfbiuK0815A9RNO7tj2nJJlM4OA8byB6rhNZVXCEH
 Y4qeqbFIdNygcmAUQJ.W9mrrbm9ZeCcY0ZDZbyvRRSOdhObcOVzf7nEh5ZNNoq1uXWEWBnWvYzoG
 tPv6pSXsOw4NdePJqEB69ad01ISdkqUC3BtW_lzI7Dg3LrpoonEBWfhmJamZUGynoP0jO4qLd2y2
 VPY5aWqbd1Jn.nJTkEOta.BO8pJrjcr4VuVzdFb3mS2HEscmXH2.d95OY_cwdm8dTATBF5_roinc
 GccOkZ5pcWckqgE5sB5NIYGrZvM1qyKFE8XFwwALhgIL_uj3hhSGDx2vRKp5LVAPCnkrnVJVbEG_
 21WlDS1WvMxf1CsA7sigTy45CWVD4nnXmvj6M51N4yPd.f7AaGAS6_U9bhnC9MOWhUz8DvjGkBM0
 ss23XF3zE2XGeTvFnnd6ba6zbVbTv9XVeeKxg_kuKevwdhCv1GJCefRM88UTDSlsj5M8nNVVTg_i
 FzjDfu9ljL0_mv0I8jXrcY_KbOSMPjikYooBlw5XVN9VXAiNmOYD9Cgv58ckv2UxZUCyhz3xM03z
 1g3zcvMWEJjTguCVJrVOFSXgkz9STB7Zy8S5FSaISLFZvsn2CCmC5T5fhTbW.2nps
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Wed, 11 May 2022 14:08:13 +0000
Received: by hermes--canary-production-sg3-856bf69955-fc9ln (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID eae2204abaa3a912f843d5634697b852; 
 Wed, 11 May 2022 14:08:08 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN> <83sfpgqk4t.fsf@HIDDEN>
Date: Wed, 11 May 2022 22:08:03 +0800
In-Reply-To: <83sfpgqk4t.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 11 May
 2022 16:22:26 +0300")
Message-ID: <87pmkkyxfg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20188
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 489
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55362
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, schnouki@HIDDEN,
 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I agree.  At the very least, how about a knob, by default off, to
> restore the previous behavior; we could then have that in PROBLEMS.

If we do that, then in my experience this bug will never be fixed in
GTK, and we will be stuck maintaining this awful hack until the end of
time.

It's okay to add such a knob assuming the GTK bug still isn't fixed
approaching the release of Emacs 29, but not now, when that release is
still several years away.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 13:54:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:54:48 2022
Received: from localhost ([127.0.0.1]:36609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomnf-0000zg-RQ
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:54:48 -0400
Received: from out0.migadu.com ([94.23.1.103]:50735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schnouki@HIDDEN>) id 1nomnd-0000zW-Sc
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 09:54:46 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=schnouki.net;
 s=key1; t=1652277284;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HN1ccmOSs9oa44KB9Hbv8DFNzPlVZX6LLNZfNIpffsw=;
 b=MrxIrzk+THkvq0WMn4pXgpOgqGD9mpn/WFMni0CW5BJXHVVFNxdT1ZNd8IkOwDOROPyMBA
 Ombo/jovsXTbX3SO7qoFcpiEsbYiAZH3LkHLnTtxHL993raSiQU3iyS2ZB3WZcFWX/Ve8C
 vi+Zw4e4TlN00hRZDjKRTd7su/BGfVGv5djxwVJYVBGNU8Y0dZuaZREKJqQhEmnJ46xTUy
 jbo2Yg/bqlQ6cu0KlZ72bXkSDUhWMNEv+WsnJwwDMK38znRzoUkdW4nEn/3xJ8wQJFxB1R
 T193NTP5fUWxrtXc2m8wzx+ZKOqrk4i1Bm5cYa6MipmL8mcS3sa6jrHkPoKDHQ==
From: Thomas Jost <schnouki@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
In-Reply-To: <83sfpgqk4t.fsf@HIDDEN>
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN> <83sfpgqk4t.fsf@HIDDEN>
X-Clacks-Overhead: GNU Terry Pratchett
Date: Wed, 11 May 2022 15:54:43 +0200
Message-ID: <875ymc6uos.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: schnouki.net
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55362
Cc: luangruo@HIDDEN, 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Le 11 mai 2022 =C3=A0 16:22 +03, Eli Zaretskii a =C3=A9crit :
>> Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Original-Sender: "Debbugs-submit" <debbugs-submit-bounces@HIDDEN=
g>
>> Resent-CC: bug-gnu-emacs@HIDDEN
>> Resent-Sender: help-debbugs@HIDDEN
>> Cc: Po Lu <luangruo@HIDDEN>, 55362 <at> debbugs.gnu.org
>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Date: Wed, 11 May 2022 15:04:25 +0200
>>=20
>> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
>> editors" <bug-gnu-emacs@HIDDEN> writes:
>>=20
>> > That patch (and the old code) is incorrect, and the code before its
>> > removal was another example of the PGTK port haphazardly copying code
>> > from xterm.c to do stuff GDK is supposed to do by itself.  Mod4 is a
>> > real modifier and can correspond to any (number) of virtual modifiers,
>> > which might or might not contain Super.
>>=20
>> But this seems to affect many people who had a working Super key before,
>> so I think we should re-fix this on the Emacs side.
>
> I agree.  At the very least, how about a knob, by default off, to
> restore the previous behavior; we could then have that in PROBLEMS.

From a user perspective, this seems like a decent trade-off. For me, not
being able to use the previous behavior would mean that I'd have to stop
testing Git releases until Emacs 29 is released.

Not having such a knob would also prevent any user who is for some
reason stuck on an older version of Gtk to upgrade Emacs.

--=20
Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 13:51:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:51:33 2022
Received: from localhost ([127.0.0.1]:36604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomkX-0000ue-8O
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:51:33 -0400
Received: from out2.migadu.com ([188.165.223.204]:33306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schnouki@HIDDEN>) id 1nomkU-0000uS-Ut
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 09:51:31 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=schnouki.net;
 s=key1; t=1652277089;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=vMo9ByayiOhd2k35/PDFLlKVzsFWlA/giV9qy5G5xnk=;
 b=POMmoahV4+ybKp1bPU9Bx+ygK4oAaOYUBhvJSq0I/6cGkmE0D6NDXMyi2Jtw6vzyXaWjLo
 CC8c1QKZajTYBPdjhw6KXznVPXexZJJh5QQnSOBwuJpCnFZiBquY+foQkilPUrRnmpXnoq
 Wy1qC/AWzktBAPJ1exJinnMytLIQ52Gh7ViitBW2l+HMiW/ifyyNKCM2qRm/kLwuery8WX
 iyiW6tog+tPgyRsGMwbKOcfDAn+0gxKUASrYeyTBD6253Sgxsm5KSGjhI2rhHPIkrjHpX6
 rN7oTYnKNzQR8odJ0sIae2ZfxtUzkW5A+CbeKxRW9JXeNG+n1aRrH6xCbhREvA==
From: Thomas Jost <schnouki@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
In-Reply-To: <87y1z8z16o.fsf@HIDDEN>
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
X-Clacks-Overhead: GNU Terry Pratchett
Date: Wed, 11 May 2022 15:51:28 +0200
Message-ID: <878rr86uu7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: schnouki.net
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55362
Cc: 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le 11 mai 2022 =C3=A0 20:46 +08, Po Lu a =C3=A9crit :
> Please report the bug to the GTK developers.  Something along the lines
> of "GDK_SUPER_MASK not set on keyboard events on wlroots-based
> compositors when the Super key is held down".  After you do that, I'd
> appreciate it if you gave us a link to the bug report, so we can at
> least put it in etc/PROBLEMS.

Reported it to GTK developers here:
https://gitlab.gnome.org/GNOME/gtk/-/issues/4913 (which links back to
this bug). Thanks!

--=20
Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 13:24:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:24:03 2022
Received: from localhost ([127.0.0.1]:36545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomJu-0004BY-6z
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:24:03 -0400
Received: from sonic317-32.consmr.mail.ne1.yahoo.com ([66.163.184.43]:34699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nomJe-0004Ak-Ff
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 09:24:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652275419; bh=bTTgS+eDG0na7s8SEfWaFchY+C7mLAqnw48uS2yLjdk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=NahPPWWJO4rvb0kHWpPjIMHovs0o4ZmFaR7nFpYC4DHkHEkeEY0bZbnzzbf1jJ54+LEbXcLZ0twzOWnj9rBsBr8DesZ/2WHwuS/XU/QVUb0J+lk0fVYP6tK1MF11H0SXm5xzpFFzle1JMvcAltqKdmk0S2xl9z15uM2jxHVQtPMpd5iOVF7LDYJAYIycf64JmjuBM8sIxUvxtYgtt4Rm4YSaE7UHV5HVRmehXNyUvmm4Zv1D18X4Bh/k6uEb0/gxbq4SYZG2j5TDx21M4eG+krlLUQti3aRIlY59YcN2s7BsfHbprN4QQJ3RjSsGarSntHtdEA0Oo7UZmZSExFa6rw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652275419; bh=/k3zu5xW/Xj7yuqy3c4zQbcyvRj1UfsEjTVG2eCbxcw=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=F7qFCM0A9G75yIvPd4HPfDnjrBjXHUNTCZMvRBWgJ/cUg84kjQKEdcQa2pxFIO9oFkrDOyiAwq/VAlw+F9mu34J839fY2FStwvG0hS7DEFbBiujF0kexJt0XA+vcGI+4E1l2j+PxOEvJPsvCMutTi1VwBxUGTYuu7xhUyCvBLk3Sq69msmwRiShqeoJXt7elojXg0XM4L7MWdRxbdExknHck2DA1phHUejCVHYI3vvKdnYoewajAMLfho5EMGcXiRK47sau9J25KBNUuNRVhGLD9XoNzjNAY6YKpyzW6NToxg9jadwGAHErIoVyamXj0O5yNVNH5cS0S9373df0nLg==
X-YMail-OSG: Xbt2N2gVM1l4aQqiysqD7HISEmd_f.a5pajaxw5TH6mlvSMsvM1.UGD_9V8rmbl
 pegkHNmET3pl6p8yFHqDcUPGiqR2xA4hU5RjufvMLdb8wrsa4CDUQ_qCD0Wfy0K8WWLs12kn9Qru
 wKrOO5XkEzVU7hXNctugQnaVmAyA7BGr6DRjUMTFwSaFq9y7AZz5P23rrMd5LPanNXECn6gp9ojz
 A_OI9_0ofC_GduTSw7QmlGAQPRqgQRpkhiUHsOYMICvZxoUXeymcjwDumPgnFkxruw5DDSd8HkjF
 1pRnOWfh3BimEFk5y__LoLr2qcp0B2na17AxuPrvhnU4S4zGgboiUJOFV9MMkuR7w0.xuOVWF3JQ
 mYisF1rP89LXhpEhwXBtQMeMi27XhaaceTlezgr3aqlcaW5caysM8OiC5Y3bPJnT2YAGISoLlGCn
 9frLt5dl4FWmHj.7KZ6mtAOccWFFYrXJlnsJF8r0jYjAW8kNVzswk0N5NlF3y5KwPVgKzK0f9Jbv
 N7CpBRTwfyZTTUei1UJ1qdrJhLVvW3ctyBjzd0mZ46ZZbH2kL51ZXapexSCAT0lF5B.BIEz0tQfD
 Z5tCSjQ.dASF9_RKERlIuG2LnXQDTA_K4CwJySwpA.NwXzVGyafvNh9opLmlKz_Egy.bvxCrdCQz
 Z1ETC3ok7xOI9K26mGkXrYIo372YheMc8yvE_NuArL4rUHe4hVJG.2Qux7tuwkF7k4DDbEHemhg1
 85X3Ia1agD45bM0mun2TKCwPdjGwut9f_VWRQg9pxxzqM5dRys2JOYD4j7xO8Lb6z3PgOogNVAh0
 5Nqe2hot6yome5j957PQv8W7Buczi.aFcdFmiEIonSpoH7A91A7R8rIlVouOKSG.9etQIqcTCsoO
 byTgf99z.NmT2vTbEOWPUAdYz1gPs6lGRoO_pWmz_8IPwExxRKhVqY9bRmZNxR4uNmT64KVwoLAo
 h8M.jhX3DRETMkM4RPlUQw.cGSaX_mx2H9jnDqJixUwK0cIx0lTHcgPiG5ZK3Cp74MEYh.8mSsKE
 i.b9nf99oOlzAKyt6JrfMnL8XBEwVHMkNsbWOUJSObLGVWE46pdwNXhqeXTUh.zaKkIindu69D5V
 5gi1cxiTSGPttZGZJxSnMoybeta4s6p9JlQIDLPjIOBKACQ9UXaftUu97QjOKDVvAwQTtYn._9Lo
 JomPS7T90BRuWM2uD.AT8J.Qngc22PeVkdv6g7Rt1v7FS_eL4CdJVeHZ_SdD1VXO_JHG6Ar_LuzZ
 OSZuUOQV5iNSMK6MnZcUoV9hpb_ZfBkTVBUZhFeHV.SZWyrTFAKxveB0RzKfv4CxmqcbBSqtZTGN
 xd01qWMLFvDBQPb9dn6SFyeMdf0pLFenWS5333O22nP.kFn0MMu3WdNnphBjoozscqeXMBHgq.0b
 _._jSdRGHtra3KLeW3Y9W8M2QgIFaKcm3hcRiwXiDcM1XxQvJ21qC64iCXJWzQ8h8_GX7miFEs6K
 axRPRR2A_10N4z3IIAjD_Q0zimCvFwI0X7UGScnF3jlepwdTRZeEsoV4bpAqTZsHXyQ_eud3TGE4
 ILnm2OrSvij4O50P61VgZmf3cUzqU3_VRpabq5c2pTmKbkFUqxf35XauwRMsTHhZGoQlNkuj.vVi
 XMpXS.eq86JEdGS4LM.9G6sMc4k6fSYihFiMREFsgTi9260fSKyISbLFruBNkJuy_gYVwbaZm6Wh
 Ob5kwPtg.1nNlCxX8YV3tasCmgfPLKloMNy_jlmTHQg8i7Gq0.dLicwAnjNiSk6smdzqrCTqoM_A
 hoGJX5yFuLWy5pC5MdIUD358_qMG9fRNfV.qjH1hj2lP8h2GW3DUbmugX_urF8OSC1LpmONXoo2b
 tMYmGkFp4sTsl.zmEMahoY1HdbhF06KzOomnfzJGjiRKwW.efUOIbI2gb1kuOk_DB.L4gIBN5cPZ
 N4ZjNRvBkehcBCxMnXKfvVJfsVZY3ItetzyDT7THm1QcZMM1577h.BgVwODVm2_8Nkq9sMUe9oAR
 3x0GhYeZbptbp036.Hmgy0_MnjcD592KOf0PELFJfElfoNKhGjJ0RVb1DMMVu7G_SgXD3IG7PSLC
 _2F1KcqwPs3ycGXZfjcg5X7BPFYKi8FSTI4BW0YeQ9lPlse61uDqF7twI.dRbnEfDQFXKtBoobG9
 AetLjO3fEqDTuEE.MNgsU8urBM4FzhlAbnyZphWKS5ECkv.MqWYOzXpCbnlCrd7kLYm7cmzM2L7I
 5N7LUg6hZ0lgjemh0Ai6CKHdaw1UNGYIdQ_pcGzJi8bc_ElVMoIsDZd0ebQ_S
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Wed, 11 May 2022 13:23:39 +0000
Received: by hermes--canary-production-sg3-856bf69955-wcgkh (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID eaf445cfd1c4c4e3acdea345382beeb2; 
 Wed, 11 May 2022 13:23:36 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN>
Date: Wed, 11 May 2022 21:23:31 +0800
In-Reply-To: <87zgjo8bl2.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 11 May 2022 15:04:25 +0200")
Message-ID: <87tu9wyzho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20188
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 558
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55362
Cc: Thomas Jost <schnouki@HIDDEN>, 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> But this seems to affect many people who had a working Super key before,
> so I think we should re-fix this on the Emacs side.

Not before Emacs 29 is released, or otherwise the GTK developers will
never fix their thing, and we will be stuck maintaining yet another
broken hack to work around one of their bugs until the end of time,
which is several degrees of magnitude more confusing because we now have
two configurations where sometimes identical, and sometimes different
GTK bugs have to be worked around.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 13:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:22:33 2022
Received: from localhost ([127.0.0.1]:36540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomIS-00048b-Qa
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:22:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nomIR-00048N-9K
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 09:22:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39942)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nomIL-0003E7-7o; Wed, 11 May 2022 09:22:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=dDyxfvZiLYffLeJwiZj9u0LZyGdZV7Yh7b1SCkkNjcM=; b=MswM5Sdl2w3q
 4kQ8TVPzWxROA1PY8zgV9zPkOKpTkmzv+qDvb475vp4yjuz4VNqFSCX15t7c2Gg3G2887lbCRxM4f
 7BCJw8Hn4d888NldzdvTmG7Q4j6YqZ8fZPrYFh7UzvAxXZEr1N08LKEkqaF8IoVI/qbtSZCqvdqKp
 OOwovMszurpAyLCNyLHrlv/K4Wt23zyHWyIF+Q/M8XZIpUUnntVclDYfG9qZRLA7YQZ1NNeooeZqD
 sjMbF2dC4au0S7pYsGxH1TfdDKniYbqXNDAw92beGyRa7afQM1z48YudyTPFrAonztMwelXiGMHal
 heq+y+JtEJUfNwQPk2sBCA==;
Received: from [87.69.77.57] (port=4774 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nomIK-0004Hx-Hm; Wed, 11 May 2022 09:22:25 -0400
Date: Wed, 11 May 2022 16:22:26 +0300
Message-Id: <83sfpgqk4t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87zgjo8bl2.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 11 May 2022 15:04:25 +0200)
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
 <87zgjo8bl2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55362
Cc: luangruo@HIDDEN, schnouki@HIDDEN, 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
> Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
> Resent-CC: bug-gnu-emacs@HIDDEN
> Resent-Sender: help-debbugs@HIDDEN
> Cc: Po Lu <luangruo@HIDDEN>, 55362 <at> debbugs.gnu.org
> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 11 May 2022 15:04:25 +0200
> 
> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <bug-gnu-emacs@HIDDEN> writes:
> 
> > That patch (and the old code) is incorrect, and the code before its
> > removal was another example of the PGTK port haphazardly copying code
> > from xterm.c to do stuff GDK is supposed to do by itself.  Mod4 is a
> > real modifier and can correspond to any (number) of virtual modifiers,
> > which might or might not contain Super.
> 
> But this seems to affect many people who had a working Super key before,
> so I think we should re-fix this on the Emacs side.

I agree.  At the very least, how about a knob, by default off, to
restore the previous behavior; we could then have that in PROBLEMS.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 13:04:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:04:39 2022
Received: from localhost ([127.0.0.1]:36476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nom18-0001MX-Ti
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:04:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nom16-0001MD-9v
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 09:04:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NLju3MesL5Dyx0NL+pLEngGr4VRbMNcrTqm3/tNOb6I=; b=M20mz+N4sozgkUgq+tdMaCIMKv
 RkQQJdtROlqaqSIDy+sDoKhPbrdgoZ7nyqY4Vq83elDz/LwMCckWE+3RlGeQOjWnj7bpwcjCviJMZ
 +24Q1T2Xq52YgPqdoAwXM13/4RRUmTlF55TuTiBt9n94KtVY5j17urlpfwD6hOE4VnD4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nom0y-0008NE-1V; Wed, 11 May 2022 15:04:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Thomas Jost <schnouki@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN> <87y1z8z16o.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXXz69WPy6XVDee
 kGP///9AcP+yAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YFCw0ACBUrQS8AAAGMSURBVDjLfZThscQg
 CIS52EDABiI2oNJ/b29RL9HczPNHZuLnLogokQ/R90j0LwgALMr4Z+WkKjdIvA2RG7ycHpA4arPK
 HKUrdICc3CsDxMorcAVLNnzDBhggiVpVtQ1ot5qBf0CSm+wg3rt+gdx0GNqaFUpiXhfPutRFAWMI
 xIqZlc87BheaDhtAeQmCQrYCL3gHIfFlDsoNRKOvrhK7woyCWznAomzW2AbAmMDFFhRpbIAdHBnw
 ATKKSEaaQaLsIFO7gqViuU3QAESzUZWQCh3ta9U8hloJSCBTOLTpDdBUvrfYLipNVwWO/EC92nmc
 9gaVJX5KLRmOT3Bki9M4q/GpfsaPAp0iEhkAyd7pMqxQX5DaC7IC9k+KmWNWkTUG5vNxkWfxAoJd
 k/d1WkDvv+Td+m3Rr8LzjUR9/raqAKjJGaYgrQCtdhJ9eLOq/UZVLqEOoCu4MGH8KLQ1rSNdRF0B
 RhX2Q9M8r2wv+wS6X+gJPKVh0a/N2Ou4Qu+nRJjGop9XhimhTulnPukfP+Z3pw1paDAAAAAldEVY
 dGRhdGU6Y3JlYXRlADIwMjItMDUtMTFUMTM6MDA6MDgrMDA6MDAmorvFAAAAJXRFWHRkYXRlOm1v
 ZGlmeQAyMDIyLTA1LTExVDEzOjAwOjA3KzAwOjAwobdzkAAAAABJRU5ErkJggg==
X-Now-Playing: Joni Mitchell's _Taming the Tiger_: "Man From Mars"
Date: Wed, 11 May 2022 15:04:25 +0200
In-Reply-To: <87y1z8z16o.fsf@HIDDEN> (Po Lu via's message of "Wed, 11 May
 2022 20:46:55 +0800")
Message-ID: <87zgjo8bl2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN> writes: > That patch (and the old
 code) is incorrect, and the code before its > removal was another example
 of the PGTK port haphazardly copying code > from xterm.c to do stuff GDK
 is supposed to do by itself [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55362
Cc: Po Lu <luangruo@HIDDEN>, 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> That patch (and the old code) is incorrect, and the code before its
> removal was another example of the PGTK port haphazardly copying code
> from xterm.c to do stuff GDK is supposed to do by itself.  Mod4 is a
> real modifier and can correspond to any (number) of virtual modifiers,
> which might or might not contain Super.

But this seems to affect many people who had a working Super key before,
so I think we should re-fix this on the Emacs side.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at 55362 <at> debbugs.gnu.org:


Received: (at 55362) by debbugs.gnu.org; 11 May 2022 12:47:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 08:47:17 2022
Received: from localhost ([127.0.0.1]:36436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nolkH-0006nT-P1
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 08:47:17 -0400
Received: from sonic303-21.consmr.mail.ne1.yahoo.com ([66.163.188.147]:45838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nolkG-0006hL-6r
 for 55362 <at> debbugs.gnu.org; Wed, 11 May 2022 08:47:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652273225; bh=oNhldLQVpbQhcoazYmFTL3vYqzJduh5yf6At4thOCkg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=tjDZSsClnWXdGQlWB0Ib9y55K73EFF0/C/Cs/46GW7EKIh+qfQ36CNpjFtF9ukWOnENd55Les7Sqr4pz7OSZqk8nhypwq02UOGvZYHqYGVJivBl9T9ACFYqaS5gRlRnhHLcmms1IxHy8yljC6u4NGGx5eOQdjbOgRXvFpcUOoYWnj21wWOdASPuEjAyDH4tGVveHjA9HyFU1HC+95n/GFvwXTDANeokWtDyggNVZsieGri5Acj7p+vaFvrZNPXTzqT3r0TzteCztUBsIyUbtdlfRzC+TfQr+zp5qURyPMSdEyTj7yiIpW3lNIsb2llObPLkRd3pQktWT53U0yza4Hw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652273225; bh=Aw1tgRb4B6mt7JrBmYJPBMagCiHitlA+0whQFMstEmA=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=aOXS44yFvXKibwMTqYt9jDC+tDnn0DOWyzZjIXu5UWmHDoR/Ic5CeBHhvqZHfdBt0faNlcml8kZBcvPUBJ3TLyPqWdCN1k60F+Ge6Ey7oiaxqWen8CbS+wWHJGRUULbAQUI1W3xDrv+biuaxxdNf7jJa6t/qV+N1OtHsBicL6CeWs7T8gq7IuNKALgCrJouZO0ys/xWbn61AMJg1P3Bq/CZPQ1ek5ZcpNen40EMtR/TU2+BoftzaU70DPJRRgreM9B0ghaVzsK1JJASnA2BexI55d7UjPF5AxOYE/procA//q0jBtAqReQrA4Sbezjmj8aclLHc28nzmkc/90WtWQA==
X-YMail-OSG: MzbAOgkVM1nT9cTUSuj6M9CHPzMFyeanxJwKjrjfevYh5rtY1EqgZBo9t6mAWuN
 GkLa2Y3zUP.364xKuNreqQEBlrOrQzgCIsB1ZQbP7uwiWTPO01h0Zlq8ooRUUXm2jp4Q59aW7DzU
 IggSENDSN16QF.IJRTgqvnpprekukPsJ67Q0cdFjOm_N3opnTLqRQzYNSgPM5w9plie94Hkle3iJ
 SEL7uEvLO49lcJ0o_W5RLjvzHP4a.j9K9CDOxuS3TZ0SXFI2uvi664mmSa9lGGk7oYngAbMubPat
 jpe55GfD5uEk6a8Pa6JVBSwFm1OAqLlte8J1WKKV1X5y7QAmEioH3d8lM4jzktsnBCYf4Q5fjKyN
 .FiGSXrol8juIenR0fd.LnTtd4_DdvWUrBqPJL2rWaWN0K6URLzB.74tbUUBEHIt5isSUQcceNH8
 mNG7mMxYMoTIJ9byAP5Oa1tqggMCO0BcXeAJvH4EPSHnAZ244q1GCBjegeUTp1RIViPi1BtGVFDo
 1sRSYuVhuUqJ0s5UXhrGCZ0Z_.el6z7Wtm9ITGbb1LO155mimCeAWnw91_9JC.AXKlrpYJqd8G3D
 cgTq.RZ.eZhGouQDrc0SPKXXmBQSfw0qZDoQFoTJWTJ0tqRXMsLtNA7.OSHEzpYvK8rWZZ.92dNn
 ahZ_fuzpWhDqc7sdcrfStubghY97851bZ6YQ22OwY.62nJUcrOqgdtDIWGirIRr.B8tWnOprXyIX
 RkI53XonqrLy5lk5x8ZaxpMsKEQlpinqZaxqDv4l4iwbhl7oBhY5QEQxLlQ0CpRfN6zLXsg09aH6
 317uu3F3VtvxbZ6ko9POzXl5kM.KGiQPOIfyfn8MvpmfNJuWRSSG20wRqLvWCwom2jTS54.tKJZF
 Vem_Ml5qFKyox_vX91LYHvIWMgoiSygSb_5w4QqgA92qqVtXdQ9Xtyc84YrxJ5.xSfBJLx9X8dge
 UXxF.MMAXF1rvzdkLxWdH6d.VoYyb7u3gnsymtKkkRreBcK4dH7GRpDGldWIc4D.AnuQNImRBHor
 rEd4_YORiJl31mqu7wxaQZmsDZv5XFJH7fQOoRFVBSi3MZUsgv0BRDecjKd8vSPjxbGsiAdH3gIy
 wWyWfg.8YN25unrV8HR7hRuOiV9ASGFa1_To9vWtYwiBWV60zP1Y3vVTlXoum8tuygeApKijea7c
 .hATreQtKLS0_pHdntY3mTp870khgRgFDaD5E5tSZSK90t0JQHxfVj8jgCGFDsHjSiECPToFEk3t
 Aid3aFxSbgcqQEPP2DjHBlH0HhGqf7LipLhnNBF0BJq9Dzd0SIU6IJziS3kE5xGK19C8ONQ072By
 nDBfFsq1mFnVngunsInE.4udRPgFacj6LJYQ20aKUWV2dldZW6wHIjEBJncalpsvxIYUPRa5trUK
 PhAx.uHzj1nYA8V2n5ELWFGEcXNm7rXPjP8egQiLT9yLgDG_qYhsc03e04O.KdsAr0uuGqg5f8iB
 q3XPPMlqoUzSCIuZ_5xnQ8dy02uOjF_yQvbg6mfsamiGnvxHQ1D1n5ZkIPWB479uZyR8ieVfMKDZ
 kguwEjVvR_WsmUtlO8ii0RVxG1DJHvdXWmoGuaHO7iJS02Y5mwspnMmbNIqBD9qwlKt1YPXgTlJa
 gycMOJbHDll5YQek7cGqs0.EnONAKbdnk.tKzY6jZn1bYLnYqzdLiH3S5m.EYaNwe4dGLcNk.Tnf
 Lw459UEZBKTQQGm0IUJ1hNQ8xaZBssCGEFAPIbbV5daAzUS3qS5ehugUsPwy_USMOtklh1VSlAVg
 wj3MJoLibTOMqTu.kCM1DvFnnrCDK6.rcB.ZZ8Q4rIM9oGphNqpqCiuwJOZs3q48JKny3Bv6AUiL
 NNsKjuhjuk.tWTBgERiRTeewjdyg8sjaRJO_Aqf9.4Y8Gu9lXCREg.RHkqrt74bMPISYa5FVZG8V
 KhaF8yAWreokoq8G5wFvNMC.DE.fPmmjhFtpCWpsqjm8MqLctFb5SxOyjKLxmTkuHQ5NBtnCaH6Y
 UW7yyzSePJz0lnzaouF5qHWMYnoJs9dvv4uKfgASa3vUVEA5UHrt6gDEOqPDq0H3trNH9VZ8RUmg
 RTDEdXeE7_ud428l15RYaU_itCwBiF3pCeqO8Rrqxe09HZBF4t1NYbEI27nv43XSC2kwXSoJm1X6
 SFZakNbm5GwIH5n3QQEw6HmZRycBIPIvpVDsQljaLRSnPz2l9kvutTp.hUXLg2WmPztutJQJjreK
 5_TTc3e3R7mp7TdoBHV6iTy.90MknNx4jdzYCz4RYrpse5cVdxHU8_DxFxndS
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Wed, 11 May 2022 12:47:05 +0000
Received: by hermes--canary-production-sg3-856bf69955-sx85m (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID a104b62ac00da12249a213d560a00bae; 
 Wed, 11 May 2022 12:47:01 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Thomas Jost <schnouki@HIDDEN>
Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland
References: <871qx08k43.fsf@HIDDEN>
Date: Wed, 11 May 2022 20:46:55 +0800
In-Reply-To: <871qx08k43.fsf@HIDDEN> (Thomas Jost's message of "Wed, 11
 May 2022 12:00:12 +0200")
Message-ID: <87y1z8z16o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20188
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1650
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55362
Cc: 55362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thomas Jost <schnouki@HIDDEN> writes:

> Hey folks,
>
> When using recent builds of Emacs with PGTK on Wayland (Sway), the Super
> key is no longer detected. I use it in a lot of shortcuts, but now
> typing e.g. `s-/' just inputs /.
>
> If I run an older build with the exact same config (or even with `emacs
> -Q'), I don't experience that issue, and shortcuts using Super still
> work. So, this seems to be an Emacs bug.
>
> Using git bisect, I was able to find that this started in commit
> 1c1ae6ba802cc5813fa6f8f90f21050aae6bb459. Further investigation revealed
> that when typing a shortcut with Super, the GDK_SUPER_MASK bit isn't
> set, but GDK_MOD4_MASK is.
>
> I'm not sure what the best option is: restoring the former
> x_find_modifier_meanings() function, or hard-coding that Mod4 is the
> same as Super (like Mod1 and Meta).

The bug is in GTK, not in Emacs.  It doesn't set the virtual modifier
masks corresponding to the Super key on some Wayland compositors, which
it is supposed to.

That patch (and the old code) is incorrect, and the code before its
removal was another example of the PGTK port haphazardly copying code
from xterm.c to do stuff GDK is supposed to do by itself.  Mod4 is a
real modifier and can correspond to any (number) of virtual modifiers,
which might or might not contain Super.

Please report the bug to the GTK developers.  Something along the lines
of "GDK_SUPER_MASK not set on keyboard events on wlroots-based
compositors when the Super key is held down".  After you do that, I'd
appreciate it if you gave us a link to the bug report, so we can at
least put it in etc/PROBLEMS.

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2022 10:00:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 06:00:40 2022
Received: from localhost ([127.0.0.1]:36119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noj8t-0003uq-UG
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 06:00:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:50074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schnouki@HIDDEN>) id 1noj8r-0003uh-3W
 for submit <at> debbugs.gnu.org; Wed, 11 May 2022 06:00:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49486)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <schnouki@HIDDEN>)
 id 1noj8q-0000yX-Pc
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2022 06:00:24 -0400
Received: from out0.migadu.com ([94.23.1.103]:21857)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <schnouki@HIDDEN>)
 id 1noj8l-0005Y9-Mr
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2022 06:00:24 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=schnouki.net;
 s=key1; t=1652263213;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=trpHuMO6dx7YA8HCIgeHCfkNfMic+m+LKq11wEOrZGI=;
 b=nD7E01SyS+GBtObahyh0odi2iT4lorA0j3bW3KNoUpz2yjhkXY7M6M+ecXLxlCBsKfWjcr
 gri+DVVWOPWtHIf430igN3DwLUs2bpm5YPY70/HUoSjxDjlF6FMiDV+2pRYOFp1WC8pLfd
 EXeuNb+jMVMDD/aubYhg9vt01cZY9sK44wDt2WxNV11jBO22sN4nUYekRf0Tct/uAsSk5W
 J83EXQQ2oZ+9VM2ilnd8f+JpL666ChgbsvSr6dBCDIqv5GQI28uKA8nDGNOcN9p1//rdGx
 JohwbKC8O+XRcRoxcS895L9FN7Jn7VO21uAKLD5ReYzGRy3HK9/1ZFgpghMaOQ==
From: Thomas Jost <schnouki@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Super key no longer works on Wayland
X-Clacks-Overhead: GNU Terry Pratchett
Date: Wed, 11 May 2022 12:00:12 +0200
Message-ID: <871qx08k43.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: schnouki.net
Received-SPF: pass client-ip=94.23.1.103; envelope-from=schnouki@HIDDEN;
 helo=out0.migadu.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hey folks,

When using recent builds of Emacs with PGTK on Wayland (Sway), the Super
key is no longer detected. I use it in a lot of shortcuts, but now
typing e.g. `s-/' just inputs /.

If I run an older build with the exact same config (or even with `emacs
-Q'), I don't experience that issue, and shortcuts using Super still
work. So, this seems to be an Emacs bug.

Using git bisect, I was able to find that this started in commit
1c1ae6ba802cc5813fa6f8f90f21050aae6bb459. Further investigation revealed
that when typing a shortcut with Super, the GDK_SUPER_MASK bit isn't
set, but GDK_MOD4_MASK is.

I'm not sure what the best option is: restoring the former
x_find_modifier_meanings() function, or hard-coding that Mod4 is the
same as Super (like Mod1 and Meta).
For now, I started using this patch:
https://paste.sr.ht/~schnouki/e997d536bd3305aa34bb2c72bfe68dcdde18ec80

If it sounds like a good solution, feel free to use it.

Happy to help and provide any further information needed!

Cheers,
Thomas


In GNU Emacs 29.0.50 (build 18, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
 of 2022-05-11 built on loki
Repository revision: 1c1ae6ba802cc5813fa6f8f90f21050aae6bb459
Repository branch: HEAD
System Description: Arch Linux

Configured using:
 'configure --with-pgtk'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PGTK
PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP XIM
GTK3 ZLIB

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

Major mode: C/*l

Minor modes in effect:
  bug-reference-prog-mode: t
  company-mode: t
  counsel-mode: t
  ivy-mode: t
  global-emojify-mode: t
  emojify-mode: t
  lsp-treemacs-sync-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: t
  treemacs-fringe-indicator-mode: t
  projectile-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  windmove-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  shell-dirtrack-mode: t
  editorconfig-mode: t
  volatile-highlights-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  viking-global-mode: t
  viking-mode: t
  global-auto-revert-mode: t
  which-key-mode: t
  global-so-long-mode: t
  auto-read-only-mode: t
  which-function-mode: t
  tree-sitter-hl-mode: t
  global-tree-sitter-mode: t
  tree-sitter-mode: t
  override-global-mode: t
  global-subword-mode: t
  subword-mode: t
  desktop-save-mode: t
  save-place-mode: t
  delete-selection-mode: t
  global-hl-line-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  abbrev-mode: t

Load-path shadows:
/home/schnouki/.quicklisp/dists/quicklisp/software/slime-v2.26.1/slime hides /home/schnouki/.emacs.d/elpa/slime-20220302.1215/slime
/home/schnouki/.quicklisp/dists/quicklisp/software/slime-v2.26.1/slime-autoloads hides /home/schnouki/.emacs.d/elpa/slime-20220302.1215/slime-autoloads
/home/schnouki/.quicklisp/dists/quicklisp/software/slime-v2.26.1/slime-tests hides /home/schnouki/.emacs.d/elpa/slime-20220302.1215/slime-tests
/home/schnouki/.emacs.d/elpa/transient-20220508.1914/transient hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/transient
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-shell hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-shell
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-sass hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-sass
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-attach-git hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-attach-git
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-faces hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-faces
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-C hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-C
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-scheme hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-scheme
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-bbdb hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-bbdb
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-timer hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-timer
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-lint hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-lint
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-feed hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-feed
/home/schnouki/.emacs.d/elpa/org-9.5.3/oc-csl hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/oc-csl
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-num hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-num
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-habit hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-habit
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-rmail hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-rmail
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-odt hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-odt
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-datetree hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-datetree
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-lua hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-lua
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-md hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-md
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-clojure hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-clojure
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-latex hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-latex
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-css hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-css
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-sql hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-sql
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-loaddefs hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-loaddefs
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-emacs-lisp hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-emacs-lisp
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-js hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-js
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-core hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-core
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-ruby hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-ruby
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-java hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-java
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-forth hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-forth
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-ocaml hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-ocaml
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-gnuplot hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-gnuplot
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-exp hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-exp
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-org hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-org
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-eww hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-eww
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-goto hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-goto
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-latex hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-latex
/home/schnouki/.emacs.d/elpa/org-9.5.3/oc-natbib hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/oc-natbib
/home/schnouki/.emacs.d/elpa/org-9.5.3/oc-biblatex hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/oc-biblatex
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-doi hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-doi
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-agenda hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-agenda
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-lilypond hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-lilypond
/home/schnouki/.emacs.d/elpa/org-9.5.3/org hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-groovy hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-groovy
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-man hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-man
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-sed hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-sed
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-macs hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-macs
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-texinfo hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-texinfo
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-org hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-org
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-table hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-table
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-dot hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-dot
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-html hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-html
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-attach hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-attach
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-comint hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-comint
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-capture hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-capture
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-compat hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-compat
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-icalendar hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-icalendar
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-bibtex hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-bibtex
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-src hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-src
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-plantuml hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-plantuml
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-julia hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-julia
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-element hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-element
/home/schnouki/.emacs.d/elpa/org-9.5.3/oc hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/oc
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-crypt hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-crypt
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-tangle hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-tangle
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-matlab hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-matlab
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-w3m hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-w3m
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-maxima hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-maxima
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-awk hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-awk
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-haskell hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-haskell
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-ascii hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-ascii
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-refile hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-refile
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-python hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-python
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-sqlite hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-sqlite
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-beamer hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-beamer
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-archive hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-archive
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-calc hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-calc
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-eshell hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-eshell
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-info hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-info
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-clock hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-clock
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-list hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-list
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-eshell hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-eshell
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-pcomplete hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-pcomplete
/home/schnouki/.emacs.d/elpa/org-9.5.3/oc-basic hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/oc-basic
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-mhe hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-mhe
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-octave hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-octave
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-duration hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-duration
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-processing hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-processing
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-protocol hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-protocol
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-ctags hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-ctags
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-irc hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-irc
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-gnus hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-gnus
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol-docview hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol-docview
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-eval hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-eval
/home/schnouki/.emacs.d/elpa/org-9.5.3/ol hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ol
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-keys hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-keys
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-colview hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-colview
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-id hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-id
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-fortran hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-fortran
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-publish hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-publish
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-screen hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-screen
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-mobile hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-mobile
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-inlinetask hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-inlinetask
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-man hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-man
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-tempo hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-tempo
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-lob hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-lob
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-indent hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-indent
/home/schnouki/.emacs.d/elpa/org-9.5.3/ox-koma-letter hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ox-koma-letter
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-table hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-table
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-makefile hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-makefile
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-footnote hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-footnote
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-ref hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-ref
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-mouse hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-mouse
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-macro hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-macro
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-version hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-version
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-ditaa hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-ditaa
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-entities hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-entities
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-R hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-R
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-lisp hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-lisp
/home/schnouki/.emacs.d/elpa/org-9.5.3/ob-perl hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/ob-perl
/home/schnouki/.emacs.d/elpa/org-9.5.3/org-plot hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/org/org-plot
/home/schnouki/.emacs.d/elpa/faceup-20170925.1946/faceup hides /home/schnouki/tmp/emacs-git/src/emacs-git/lisp/emacs-lisp/faceup

Features:
(shadow sort footnote guess-language flyspell ispell mail-extr emacsbug
lsp-zig lsp-steep lsp-svelte lsp-sqls lsp-yaml lsp-xml lsp-vimscript
lsp-vhdl lsp-volar lsp-vetur lsp-html lsp-verilog lsp-vala lsp-v
lsp-typeprof lsp-ttcn3 lsp-toml lsp-terraform lsp-tex lsp-sorbet
lsp-solargraph lsp-rust lsp-rf lsp-remark lsp-r lsp-purescript lsp-pylsp
lsp-pyls lsp-pwsh lsp-php lsp-perlnavigator lsp-perl lsp-openscad
lsp-ocaml lsp-magik lsp-nix lsp-nim lsp-nginx lsp-markdown lsp-lua
lsp-kotlin lsp-json lsp-javascript lsp-idris lsp-haxe lsp-groovy
lsp-hack lsp-graphql lsp-go lsp-gdscript lsp-fsharp lsp-fortran
lsp-eslint lsp-erlang lsp-emmet lsp-elixir lsp-elm lsp-dockerfile
lsp-dhall lsp-d lsp-css lsp-csharp gnutls lsp-crystal lsp-cmake
lsp-clojure lsp-semantic-tokens lsp-clangd lsp-beancount lsp-bash
lsp-ansible lsp-angular lsp-ada lsp-actionscript dtrt-indent sql
toml-mode align dockerfile-mode sh-script executable dired-collapse
dired-hacks-utils lsp-diagnostics lsp-modeline lsp-completion lsp-ui
lsp-ui-flycheck lsp-ui-doc goto-addr lsp-ui-imenu lsp-ui-peek
lsp-ui-sideline lsp-ui-util face-remap vc-git bug-reference macrostep-c
cmacexp company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-cmake company-semantic company-bbdb company-capf company-tabnine
unicode-escape company-template company editorconfig-core
editorconfig-core-handle editorconfig-fnmatch counsel xdg swiper ivy
ivy-faces ivy-overlay colir emojify apropos defproject
smart-mode-line-respectful-theme smart-mode-line rich-minority
auto-virtualenvwrapper virtualenvwrapper gud
python-el-fgallina-expansions python vc vc-dispatcher zenburn-theme
lsp-treemacs lsp-pyright lsp-mode lsp-protocol yasnippet tree-widget
spinner network-stream nsm ewoc lsp-treemacs-themes f
treemacs-projectile treemacs-magit treemacs treemacs-header-line
treemacs-compatibility treemacs-mode treemacs-interface
treemacs-extensions treemacs-mouse-interface treemacs-tags
treemacs-persistence treemacs-filewatch-mode treemacs-follow-mode
treemacs-rendering treemacs-annotations treemacs-async
treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture ht inline
treemacs-logging treemacs-customization treemacs-macros
ibuffer-projectile ibuf-macs projectile grep ibuf-ext ibuffer
ibuffer-loaddefs gitignore-mode conf-mode magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log magit-diff smerge-mode diff-mode
git-commit log-edit message sendmail yank-media rmc puny rfc822 mml
mml-sec epa epg rfc6068 epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mailabbrev gmm-utils pcvs-util add-log magit-core
magit-autorevert magit-margin magit-transient magit-process with-editor
server magit-mode transient magit-git magit-base crm blacken
flycheck-mypy faceup flycheck-package package-lint finder lisp-mnt
flycheck-grammarly grammarly websocket bindat request mailheader
mail-utils dom hydra-examples windmove jq-format reformatter just-mode
slime-fancy slime-indentation slime-cl-indent cl-indent
slime-trace-dialog slime-fontifying-fu slime-package-fu slime-references
slime-compiler-notes-tree slime-scratch slime-presentations bridge
slime-macrostep macrostep slime-mdot-fu slime-enclosing-context
slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-c
slime-editing-commands slime-autodoc slime-repl slime-parse slime
hyperspec nix-mode ffap nix-repl nix-shell nix-store magit-section
compat-27 compat-26 compat nix-instantiate nix-shebang nix-format nix
scad-mode flycheck-nim flycheck-plantuml plantuml-mode flycheck-pos-tip
pos-tip flycheck find-func nim-mode commenter nim-fill nim-smie
let-alist nim-helper nim-util nim-syntax nim-rx nim-vars cargo
cargo-process markdown-mode color rust-utils rust-mode rust-rustfmt
rust-playpen rust-compile rust-cargo d-mode cc-langs cc-mode-expansions
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs loop fennel-mode fennel-eldoc inf-lisp docker-tramp
tramp-cache tramp tramp-loaddefs trampver tramp-integration cus-edit
cus-load wid-edit files-x tramp-compat shell pcomplete parse-time
iso8601 time-date ls-lisp format-spec uuidgen calc-misc calc-ext calc
calc-loaddefs warnings rect calc-macs editorconfig etags fileloop
generator volatile-highlights undo-tree diff viking-mode autorevert
filenotify which-key visual-fill-column so-long auto-read-only
restclient-jq jq-mode pcase smie restclient noutline outline
expand-region subword-mode-expansions text-mode-expansions
er-basic-expansions thingatpt expand-region-core expand-region-custom
which-func imenu tree-sitter-langs tree-sitter-langs-build tar-mode
arc-mode archive-mode pp tree-sitter-hl tree-sitter tree-sitter-load
tree-sitter-cli tsc tsc-dyn tsc-dyn-get compile text-property-search
comint ansi-color dired-aux dired dired-loaddefs tsc-obsolete xref
project s list-utils dash edmacro kmacro hydra ring lv view alert log4e
notifications dbus xml gntp diminish cl-extra help-mode use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core derived
finder-inf cap-words superword subword desktop frameset saveplace ediff
ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init
ediff-util delsel hl-line time cl slime-autoloads rx advice info package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq gv subr-x byte-opt bytecomp
byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/pgtk-win pgtk-win term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice simple cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript charprop
case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
gtk pgtk lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 1413570 1020216)
 (symbols 48 85905 8)
 (strings 32 798077 88864)
 (string-bytes 1 48179440)
 (vectors 16 130397)
 (vector-slots 8 3564556 809363)
 (floats 8 392 2342)
 (intervals 56 4645 2030)
 (buffers 992 85))

-- 
Thomas




Acknowledgement sent to Thomas Jost <schnouki@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55362; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Sep 2022 02:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.